Bug 7759 - Use Koha-Contrib-Tamil to update Zebra data in background
Summary: Use Koha-Contrib-Tamil to update Zebra data in background
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zeno Tajoli
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 14:11 UTC by Zeno Tajoli
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
update of INSTALL files (10.33 KB, patch)
2012-03-20 15:40 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Bug 7759, update of install files to use background indexing (and some whitespace tidy) (25.52 KB, patch)
2012-04-19 16:50 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2012-03-20 14:11:02 UTC
To solve the problem of indexing Koha in background, bug 5166,
we can insert Frédéric Demians instruction into documentation,
with a link to the wiki.

The instructions of Frédéric Demians:

I have an alternative implementation of a patch for this bug. I've
packaged it as a CPAN module for easy testing. It contains two scripts:
one for punctual indexing, and one for queued records indexing.

What is specific to this implementation:

  - No use of POE, but AnyEvent:
    http://search.cpan.org/dist/AnyEvent/
  - Moose OO classes
  - Export records for Zebra only in XML
  - No records content modification (leader, authority id, unimarc 100
    tag). As it is, it works with a lot of UNIMARC/MARC21 Koha instances
    loaded with various records types.

How to test it:

- Install the module:

  sudo cpan Koha::Contrib::Tamil

- You have two scripts installed:

  koha-index
  koha-index-daemon

- You can access their respective man pages:

  man koha-index
  man koha-index-daemon

- To reindex a whole DB, standard env variable being set:

  koha-index --verbose
  koha-index --source authority --verbose

- To start the indexing daemon, with indexing occurring every minute:

  koha-index-daemon

- To start the same daemon, with indexing occuring every 30 seconds:

  koha-index-daemon --timeout 30
Comment 1 Zeno Tajoli 2012-03-20 15:40:10 UTC Comment hidden (obsolete)
Comment 2 Mason James 2012-04-19 16:50:46 UTC
Created attachment 9260 [details] [review]
Bug 7759, update of install files to use background indexing (and some  whitespace tidy)

Signed-off-by: Mason James <mtj @ kohaaloha.com>
Comment 3 Paul Poulain 2012-04-20 14:12:18 UTC
QA comment: Patch related to documentation only, passed QA
Comment 4 Paul Poulain 2012-05-10 16:27:31 UTC
Patch pushed in 3.8.0, I forgot to change the status
Comment 5 Jared Camins-Esakov 2012-12-31 00:58:27 UTC
There have been no further reports of problems so I am marking this bug resolved.